

/* 默认主题 */
:root {
  --el-color-primary: #FF9011; /* Element Plus 默认蓝 */
  --el-color-success: #67c23a;
  --el-color-warning: #e6a23c;
  --el-color-danger:  #f56c6c;
  
  /* 主色调 - 供tailwind.css使用 */
  --tw-theme-primary-700: #4076e2;
  --tw-theme-primary-600: #FF8800;
  --tw-theme-primary-500: #FF9011;
  --tw-theme-primary-400: #F95D60;
  --tw-theme-primary-300: #FFF6E9;
  --tw-theme-primary-200: #F6F8FD;

  /* 渐变主色调 - 供tailwind.css使用 */
  --tw-theme-primary-gradient-500: #FF9011;
  --tw-theme-primary-gradient-400: #FEC97D;

    /* 红色 */
  --tw-theme-red-600: #f14a51;
  --tw-theme-red-500: #FF5053;
  --tw-theme-red-400: #FD5C63;
  
  /* 主色调 - 供其他CSS使用 */
  --color-primary-700: var(--tw-theme-primary-700);
  --color-primary-600: var(--tw-theme-primary-600);
  --color-primary-500: var(--tw-theme-primary-500);
  --color-primary-400: var(--tw-theme-primary-400);
  --color-primary-300: var(--tw-theme-primary-300);
  --color-primary-200: var(--tw-theme-primary-200);

  /* 渐变主色调 - 供其他CSS使用 */
  --color-primary-gradient-500: var(--tw-theme-primary-gradient-500);
  --color-primary-gradient-400: var(--tw-theme-primary-gradient-400);

  /* 红色 */
  --color-red-600: var(--tw-theme-red-600);
  --color-red-500: var(--tw-theme-red-500);
  --color-red-400: var(--tw-theme-red-400);
}
/* 选科建议指导 */
.guaide-tab-bg{background-color: 	rgba(255,144,17,0.6);}


/* 组件皮肤修改 */
.el-button{border-color: var(--color-gray-100);}
.el-button:hover{border-color: var(--color-primary-500) !important;background-color: var(--color-primary-300) !important;color: var(--color-primary-500) !important;}
.el-button--primary{background-color: var(--color-primary-500) !important;border-color: var(--color-primary-500) !important;} /* primary按钮颜色全局定义 */
.el-button--primary:hover{background-color: var(--color-primary-600) !important;color: var(--color-white) !important;} /* primary按钮颜色全局定义 */
.el-button--danger{background-color: var(--color-red-400)!important;border-color: var(--color-red-400)!important;} /* danger按钮颜色全局定义 */
.el-button--danger:hover{background-color: var(--color-red-600)!important;color: var(--color-white) !important;border-color: var(--color-red-600)!important;} /* danger按钮颜色全局定义 */
.el-progress-bar__inner{background-color: var(--color-primary-500) !important;}
.el-radio-button__inner:hover{color: var(--color-primary-500) !important;}
.el-cascader-node.is-active,.el-cascader-node.in-active-path{color: var(--color-primary-500) !important;}
.el-checkbox__input.is-checked .el-checkbox__inner,.el-checkbox__input.is-indeterminate .el-checkbox__inner{background-color: var(--color-primary-500) !important;border-color: var(--color-primary-500) !important;}

/* 首页功能列表 */
.default-menu-img01{background-image: url('../images/icon_home_menu01.png');background-size: cover;}
.default-menu-img02{background-image: url('../images/icon_home_menu02.png');background-size: cover;}
.default-menu-img03{background-image: url('../images/icon_home_menu03.png');background-size: cover;} 
.default-menu-img04{background-image: url('../images/icon_home_menu04.png');background-size: cover;} 
.default-menu-img05{background-image: url('../images/icon_home_menu11.png');background-size: cover;}
.default-menu-img06{background-image: url('../images/icon_home_menu05.png');background-size: cover;}
.default-menu-img07{background-image: url('../images/icon_home_menu10.png');background-size: cover;}
.default-menu-img08{background-image: url('../images/icon_home_menu08.png');background-size: cover;}
.default-menu-img09{background-image: url('../images/icon_home_menu09.png');background-size: cover;}

/* 常见问题序号背景图 */
.ulList li .num{background-image: url('../images/icons_1.png');}

/* 更多图标 */
.default-more-img{background-image: url('../images/img_more.png');background-size: cover;}

/* 首页 */
/* 按钮颜色修改 */
.home-style .el-carousel__indicator.is-active button {background-color: var(--color-primary-500);}
.home-style .el-carousel .el-carousel__indicators--outside .el-carousel__indicator--horizontal.is-active .el-carousel__button {background-color: var(--color-primary-500);}

/* 组件单选按钮颜色修改 */
.home-style .el-radio-button__orig-radio:checked+.el-radio-button__inner {background-color: var(--color-primary-500);color: var(--color-primary-500);}
.home-style .el-checkbox-button.is-checked .el-checkbox-button__inner {background-color: var(--color-primary-500);}
.home-style .el-radio-button.is-active .el-radio-button__original-radio:not(:disabled)+.el-radio-button__inner {background-color: var(--color-primary-500);border-color: var(--color-primary-500);box-shadow: unset !important;}
.home-style .el-checkbox-button.is-checked .el-checkbox-button__inner {border-color: var(--color-primary-500);}

/* 登录页颜色修改 */
.login-box .el-tabs__item.is-active,.login-box .el-tabs__item:hover {color: var(--color-primary-500);font-weight: normal;}
.login-box .el-menu-item {color: var(--color-primary-500);}

/* 学校详情校区tab颜色修改 */
.campus-tabs .el-tabs__item.is-active, .campus-tabs .el-tabs__item:hover{color: var(--color-primary-500);}
/* 我的关注tab颜色修改 */
.favour-tabs .el-tabs__item.is-active, .favour-tabs .el-tabs__item:hover{color: var(--color-primary-500);}

/* 找专业tab颜色修改 */
.major-style .el-tabs__item.is-active{color: var(--color-primary-500);font-weight: bold;}
.major-style .el-tabs__item:hover{color: var(--color-primary-500);}

/* 个人中心图片 */
.banner-usercenter-top {background-image: url('../images/bg_usercenter_top.png');background-size: cover;}
.user-menu-img01 {background-image: url('../images/icon_usermenu_01.png');background-size: cover;}
.user-menu-img02 {background-image: url('../images/icon_usermenu_02.png');background-size: cover;}
.user-menu-img03 {background-image: url('../images/icon_usermenu_03.png');background-size: cover;}
.quick-menu-img {background-image: url('../images/quickmenu01.png');background-size: cover;background-position: left center;}

/* 专业详情顶部图片 */
.major-detail-top-img {background-image: url('../images/bg_major.png');background-size: 100% 100%;}

/* 咨询常见问题列表顶部图片 */
.common-problem-top-img {background-image: url('../images/bg_search.jpg');background-size: 100% 100%;}

/* tab公共样式 */
.el-tabs__active-bar{background-color: var(--color-primary-500) !important;height: 3px !important;}

/* 志愿模拟填报模块公共tab样式 */
.volunteer-tab .el-tabs__item.is-active, .el-tabs__item:hover{color: var(--color-black) !important;}
.volunteer-tab .el-tabs__item.is-active{font-weight: 700 !important;;}
.volunteer-tab .el-tabs__item{font-size: 16px !important;}

/* 志愿模拟填报 */
.volunteer-selectmajor{background-color: var(--color-red-500) !important;color: white !important;}
.volunteer-selectmajor:hover{background-color: var(--color-red-400) !important;}

/* 专业详情/院校详情选择框/科别切换颜色修改 */
.el-radio-button.is-active .el-radio-button__original-radio:not(:disabled)+.el-radio-button__inner
{background-color: var(--color-primary-500)!important;border-color: var(--color-primary-500) !important;box-shadow: unset !important;color: white !important;}

.personalinfo-style .el-radio-button.is-active .el-radio-button__original-radio:not(:disabled)+.el-radio-button__inner{
  background-color: var(--color-red-500)!important;border-color: var(--color-red-500) !important;box-shadow: unset !important;}

/* 分页颜色修改 */
.el-pagination.is-background .btn-next.is-active, .el-pagination.is-background .btn-prev.is-active, .el-pagination.is-background .el-pager li.is-active{
  background-color: var(--color-primary-500)!important;
}
.el-pager li:focus-visible{outline: 1px solid var(--color-primary-500);}

/* 预约审核按钮 */
.fixed-reserve{background-color: var(--color-primary-gradient-500) !important;box-shadow: 0 3px 6px 0 var(--color-primary-gradient-400) !important;}

/* 潜能测评报告 */
.potential-icon01{background-image: url('../images/icon_cp01.png');background-size: cover;}
.potential-icon02{background-image: url('../images/icon_cp11.png');background-size: cover;}
.potential-icon03{background-image: url('../images/icon_cp10.png');background-size: cover;}
/* 适合专业、适合职业 */
.suit-majors-icon{background-image: url('../images/icon_cp07.png');background-size: cover;}
.suit-jobs-icon{background-image: url('../images/icon_cp06.png');background-size: cover;}
.exam-icon01{background-image: url('../images/icon_cp01.png');background-size: cover;}
.exam-icon02{background-image: url('../images/icon_cp02.png');background-size: cover;}
.exam-icon08{background-image: url('../images/icon_cp08.png');background-size: cover;}
.exam-icon03{background-image: url('../images/icon_cp03.png');background-size: cover;}
/* 选科建议指导 */
.guide-advantage{background-image: url('../images/bg_subject.png');background-size: cover;color: var(--color-primary-500);}
/* 职业详情 */
.occupation-topbg {background-image: url('../images/bg_job.png');background-size: cover;}
/* 学校录取分析列表 */
.risk-listbg {background-image: url('../images/bg_risk_top.png');background-size: cover;}
/* 智能选科指导 */
.guide-advice-icon01{background-image: url('../images/icon_subject_01.png');background-size: cover;}
.guide-advice-icon02{background-image: url('../images/icon_subject_002.png');background-size: cover;}
.guide-advice-icon03{background-image: url('../images/icon_subject_03.png');background-size: cover;}
.tab-comm .el-menu--horizontal > .el-menu-item.is-active::after{
  background-color: var(--color-primary-500);
}
.usercenter-menu .el-menu-item.is-active,.usercenter-menu.el-menu-item:focus, .el-menu-item:hover{
  background-color: var(--color-primary-300) !important;
}
.guide-advicelist-icon12{background-image: url('../images/icon_cp12.png');background-size: cover;}
.guide-advicelist-icon04{background-image: url('../images/icon_cp04.png');background-size: cover;}
.guide-advicelist-icon10{background-image: url('../images/icon_cp10.png');background-size: cover;}
.guide-advicelist-icon06{background-image: url('../images/icon_cp06.png');background-size: cover;}
.guide-advicelist-icon07{background-image: url('../images/icon_cp07.png');background-size: cover;}

/* 测评题目 */
.question-icon2{background-image: url('../images/question_icon02.png');background-size: cover;}
.question-icon1{background-image: url('../images/question_icon01.png');background-size: cover;}
/* 选科助手 */
.select-icon01{background-image: url('../images/icon_usermenu_06.png');background-size: cover;}
.select-icon02{background-image: url('../images/icon_menu17.png');background-size: cover;}
.select-icon03{background-image: url('../images/icon_menu15.png');background-size: cover;}
